package com.ogow.arouter

import android.content.Context
import cn.xiaoneng.coreapi.ChatParamsBody
import com.alibaba.android.arouter.facade.annotation.Route
import com.ogow.core.arouter.router.RouterPath
import com.ogow.libs.arouter.service.IMainService
import com.ogow.xiaoneng.helper.MyNtalkerHelper

/**
 * 作者　　: 李坤
 * 创建时间: 2018/11/27　16:17
 * 邮箱　　：496546144@qq.com
 *
 *
 * 功能介绍：零购主模块
 */
@Route(path = RouterPath.SERVICE_MAIN)
class ImpMainService : IMainService {


    override fun init(context: Context) {
    }

    override fun startChat(settingid: String, uname: String, params: ChatParamsBody?, titleBarRight: Boolean) {
        MyNtalkerHelper.startChat(settingid, uname, params, titleBarRight)
    }

}
