package com.ogow.request

import com.ogow.core.https.HttpsParameters

/**
 * 作者　　: 李坤
 * 创建时间: 2018/7/20　9:11
 * 邮箱　　：496546144@qq.com
 *
 *
 * 功能介绍：接口请求的定义
 */
object ApiService {
    /**
     *模板
     */
    @JvmField
    val TEST = HttpsParameters.App_url + "test"
    /**
     * 多购优惠
     * 参数 cid（例如第二件1元），sub_cid（百货），page
     */
    @JvmField
    val MORE_BUY = "http://api.0gowang.com/buymore/index"
    /**
     * N元任选
     */
    @JvmField
    val NMONEYOPTION = HttpsParameters.url + "/buyrandom"
    /**
     * N元任选 加入凑单篮
     */
    @JvmField
    val NMONEYOPTION_ADD = HttpsParameters.url + "/buyrandom/cart?action=cartadd"
    /**
     * 凑单篮数量
     */
    @JvmField
    val NMONEYOPTION_CARTNUMS = HttpsParameters.url + "/buyrandom/cart?action=cartnums"
    /**
     * N元任选 凑单篮编辑
     */
    @JvmField
    val NMONEYOPTION_EDIT = HttpsParameters.url + "/buyrandom/cart?action=cartedit"
    /**
     * N元任选 凑单篮删除
     */
    @JvmField
    val NMONEYOPTION_DELETE = HttpsParameters.url + "/buyrandom/cart?action=cartdel"
    /**
     * N元任选 凑单篮列表
     */
    @JvmField
    val NMONEYOPTION_KEP = HttpsParameters.url + "/buyrandom/cart?action=mycart"
    /**
     * N元任选 规格
     */
    @JvmField
    val NMONEYOPTION_CART_SPEC = HttpsParameters.url + "/buyrandom/cart?action=cartspec"
    /**
     * 分类左边数据
     */
    @JvmField
    val CATEGORY_LEFT = HttpsParameters.App_url + "newcategorylist"
    /**
     * 右边详细数据
     */
    @JvmField
    val CATEGORY_DETAIL = HttpsParameters.App_url + "categorydetail"
    /**
     * 新版专题主数据
     */
    @JvmField
    val SUBJECT_MAIN = HttpsParameters.App_url + "zt_index"
    /**
     * 新版专题分页商品
     * zc_id=11&class_id=2
     */
    @JvmField
    val SUBJECT_GOODS = HttpsParameters.App_url + "ztgoodslist"
}
