package com.ogow.request.entity.goods

import com.ogow.activity.R
import com.ogow.basic.sp.PersonInfoHelper
import com.ashlikun.utils.other.SpannableUtils

/**
 * 作者　　: 李坤
 * 创建时间: 2018/12/20　16:21
 * 邮箱　　：496546144@qq.com
 *
 *
 * 功能介绍：图文分享的商品信息
 */
class SharedTuwenGoodsData {
    /**
     * 标题
     */
    var title: String? = null
        set(value) {
            field = value ?: ""
        }
        get() = field ?: ""
    /**
     * 图片
     */
    var imageUrl: String? = null
        set(value) {
            field = value ?: ""
        }
        get() = field ?: ""
    /**
     * 真实价格
     */
    var price: String? = null
        set(value) {
            field = value ?: ""
        }
        get() = field ?: ""
    /**
     * 失效价格
     */
    var priceOld: String? = null
        set(value) {
            field = value ?: ""
        }
        get() = field ?: ""

    /**
     * 买点
     */
    var maidianData: ArrayList<String>? = null
        set(value) {
            field = value ?: ArrayList()
        }
        get() = field ?: ArrayList()

    fun getName(): CharSequence = "来自${PersonInfoHelper.getNickname()}的分享"


    fun getPriceUi(): CharSequence {
        if (price!!.isEmpty()) {
            return "¥"
        }
        return SpannableUtils.getBuilder("¥")
                .append(price ?: "")
                .append("  ")
                .append("¥").setProportion(0.5333f).setForegroundColorRes(R.color.color_999999).setStrikethrough()
                .append(priceOld!!).setProportion(0.5333f).setForegroundColorRes(R.color.color_999999).setStrikethrough()
                .create()
    }

    fun getTouxiang(): String = PersonInfoHelper.getImg_s()
    /**
     * 复制到剪切板的文案
     * @param url 立即抢购点击的url
     */

    fun getCopyWenan(url: String) = "$title\n现价：¥$price\n----------\n立即抢购 $url"
}
